\name{distance}

\alias{distance}
\alias{distanceSummary}
\alias{distance,.MoveTrackSingle,missing-method}
\alias{distance,.MoveTrackStack,missing-method}
\alias{distanceSummary,.MoveTrackSingle-method}
\alias{distanceSummary,.MoveTrackStack-method}

\docType{methods}

\title{distance information from a track or track stack}

\description{DistanceSummary returns a summary of distance related measurements of a track or track stack, or for the distance function the distance between locations.}

\usage{
  \S4method{distance}{.MoveTrackSingle,missing}(x)
  \S4method{distance}{.MoveTrackStack,missing}(x)
  \S4method{distanceSummary}{.MoveTrackSingle}(x)
  \S4method{distanceSummary}{.MoveTrackStack}(x)
}

\arguments{
  \item{x}{Move or MoveStack object}
}

\value{
All values are returned in meters if the projection of the coordinates is longlat, otherwise their in map units mostly meters as well. For longlat distance on a sphere is calculated using the ellipsoid else on a plane using Pythagoras. Check and set the projection of your Move or MoveStack object using the proj4string() function.
}

\author{Marco Smolla}

\examples{
  data(fishers)
  data(leroy)
  distance(leroy) #distances from a Move object 
  distance(fishers) #distances from a MoveStack object
  #distanceSummary(leroy) # summary of distance measures of a Move object
  #distanceSummary(fishers) # summary of distance measures of a MoveStack object
}
